
Redmine - Defect #14703

Redmine rest API does not list all projects

2013-08-16 10:36 - Oleksandr Melnyk

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

We have about 40 projects in redmine, organised hierarchically. And for some reason REST API call /projects.json returns only part

of all projects.

We have 5 root projects and return list included only subprojects of first root.

History

#1 - 2013-08-16 10:48 - Oleksandr Melnyk

Then I created some common root project. And started to move other projects under it, once I moved 1 root project, the API started returned all

subprojects from second root and so on. When I moved all projects under single root, it aggain started return projects as from start (1 sub root).

#2 - 2013-08-16 12:30 - Oleksandr Melnyk

Environment:

Redmine version                          2.2.4.stable.11804

Ruby version                             1.9.2 (x86_64-linux)

Rails version                            3.2.13

Environment                              production

Database adapter                         PostgreSQL

Redmine plugins:

redmine_issue_checklist                  2.0.5

redmine_lightbox                         0.0.1

redmine_wktime                           1.5

#3 - 2017-01-07 08:09 - Go MAEDA

- Category set to REST API

- Priority changed from High to Normal

#4 - 2017-03-29 13:08 - Himanshu Upadhyaya

I have the same issue. I have 70 projects in total. 5 projects at root level and one of these 5 projects have 65 subprojects. All I want is a list of 65

subprojects in API response. I'm still trying to understand how can I request the details of only one projects and I'm hoping if I was able to do that, I'll

hopefully get the list of all subprojects.

#5 - 2023-01-25 01:02 - James Harris

Experimenting with REST API I experienced a similar problem and ended up here.

In my case I could see only 25 projects.

The underlying cause is the overall result limit that can be specified with the "limit" parameter.

e.g.

/projects.json?limit=100

will return up to 100 projects that are accessible by the user.

I think this issue can be closed (rejected?).

#6 - 2023-01-26 09:46 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce
